## `rsbag`

### `rsbag` library
Parses rosbags using nom parser combinators and rayon for parallelism

### `bag_info` example
Run using
```bash
cargo run --example bag_info -- <path_to_bag>
```

Similar to `rosbag info <path_to_bag>`

### `mongobag` example
Run using
```bash
cargo run --example mongobag -- <path_to_bag>
```

Exports a bag to a mongodb database. Assumes it is hosted locally on the default port, if not you can adjust the connection string in the code.


### `rsbag_arrow`
Run using
```bash
cargo run -p rsbag_arrow --release -- <path_to_bag> <parquet_output_dir>
```

Exports a bag to parquet files using arrow. The output directory will contain a parquet file for each topic in the bag.

